import { Component } from '@angular/core';
import { FormControl, FormGroup, Validators } from '@angular/forms';

@Component({
  selector: 'app-getbfo-newform',
  templateUrl: './getbfo-newform.component.html',
  styleUrls: ['./getbfo-newform.component.css']
})
export class GETBFONEWFORMComponent {

  public formGroup: FormGroup;
  constructor() {
    this.formGroup = this.createFormGroup();
  }

  private createFormGroup(){
    return new FormGroup({
      step : new FormControl('', Validators.required),
      num_cols: new FormControl(1),
      form : new FormControl([]),
    });
  }


  get multi_data() { return this.formGroup.get('multi_data'); }
  get table_name() { return this.formGroup.get('table_name'); }

}
